Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Get all users

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/users' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The users

Bodyapplication/jsonArray [
firstNamestring or null

The user's first name

lastNamestring or null

The user's last name

usernamestring or null

The user name

emailstring or null

The user's email address

phonestring or null

The user's password expiration date

roleobject(RoleDto)

The role object for a user

idstring or null

The user's instinct assigned id

lockedboolean

Whether or not the user should be locked

passwordExpireDatestring or null(date-time)

The user's password expiration date

]
Response
application/json
[ { "firstName": "string", "lastName": "string", "username": "string", "email": "string", "phone": "string", "role": {}, "id": "string", "locked": true, "passwordExpireDate": "2019-08-24T14:15:22Z" } ]

Create a new user

Request

Security
Bearer
Body
firstNamestring or null

The user's first name

lastNamestring or null

The user's last name

usernamestring or null

The user name

emailstring or null

The user's email address

passwordstring or null

The user's password

roleobject(Role)
idstring or null

The user's instinct assigned id

lockedboolean

Whether or not the user should be locked

phonestring or null

The user's phone number

passwordExpireDatestring or null(date-time)

The user's password expiration date

userKbaItemsArray of objects or null(UserKbaItem)

The user's knowledge-based authentication questions

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/users' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "firstName": "string",
    "lastName": "string",
    "username": "string",
    "email": "string",
    "password": "string",
    "role": {
      "id": "string",
      "name": "string",
      "description": "string",
      "permissions": [
        {
          "id": "string",
          "name": "string",
          "description": "string"
        }
      ]
    },
    "id": "string",
    "locked": true,
    "phone": "string",
    "passwordExpireDate": "2019-08-24T14:15:22Z",
    "userKbaItems": [
      {
        "id": 0,
        "userName": "string",
        "question": "string",
        "answer": "string"
      }
    ]
  }'

Responses

The user was created successfully

Response
No content

Get a specific user by id

Request

Security
Bearer
Path
idstringrequired
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/users/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user

Bodyapplication/json
firstNamestring or null

The user's first name

lastNamestring or null

The user's last name

usernamestring or null

The user name

emailstring or null

The user's email address

phonestring or null

The user's password expiration date

roleobject(RoleDto)

The role object for a user

idstring or null

The user's instinct assigned id

lockedboolean

Whether or not the user should be locked

passwordExpireDatestring or null(date-time)

The user's password expiration date

Response
application/json
{ "firstName": "string", "lastName": "string", "username": "string", "email": "string", "phone": "string", "role": { "id": "string", "name": "string", "description": "string", "permissions": [] }, "id": "string", "locked": true, "passwordExpireDate": "2019-08-24T14:15:22Z" }

Update a users info

Request

Security
Bearer
Path
idstringrequired
BodyArray [
valueobject or null
pathstring or null
opstring or null
fromstring or null
]
curl -i -X PATCH \
  'http://{{your_prep_ip_address}}/api/v1/users/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    {
      "value": {},
      "path": "string",
      "op": "string",
      "from": "string"
    }
  ]'

Responses

The user was updated successfully

Response
No content

Delete a user

Request

Security
Bearer
Path
idstringrequired
curl -i -X DELETE \
  'http://{{your_prep_ip_address}}/api/v1/users/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user was deleted successfully

Response
No content

Disable user management

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/users/disable-user-management' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user management was disabled successfully

Response
No content

Enable user management

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/users/enable-user-management' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The user management was enabled successfully

Response
No content

Set account policy back to the defaults

Request

Security
Bearer
curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/users/set-user-account-policy-defaults' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The account policy was reset back to its default values successfully

Response
No content

Allows an admin to update a given user's password

Request

Security
Bearer
Body
userIdstring or null

The instinct id of the user

userNamestring or null

The user name

oldPasswordstring or null

The old password

newPasswordstring or null

The new password

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/users/admin-update-users-password' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "userId": "string",
    "userName": "string",
    "oldPassword": "string",
    "newPassword": "string"
  }'

Responses

The user's password was updated successfully

Response
No content

Allows an user to update own password

Request

Security
Bearer
Body
userIdstring or null

The instinct id of the user

userNamestring or null

The user name

oldPasswordstring or null

The old password

newPasswordstring or null

The new password

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/users/user-update-own-password' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "userId": "string",
    "userName": "string",
    "oldPassword": "string",
    "newPassword": "string"
  }'

Responses

The user's own password was updated successfully

Response
No content

Verification

Operations

VerificationResult

Operations